@InProceedings{tuneup,
  author =       {Robin Snader and Nikita Borisov},
  title =        {A Tune-up for {Tor}: Improving Security and Performance in the {Tor} Network},
  booktitle = {Network \& Distributed System Security Symposium},
  year =         {2008},
  month =        {February},
  publisher = {Internet Society},
}

@inproceedings{mccoy-pet2008,
  title = {Shining Light in Dark Places: Understanding the {Tor} Network}, 
  author = {Damon McCoy and Kevin Bauer and Dirk Grunwald and Tadayoshi Kohno and Douglas
        Sicker}, 
  booktitle = {Proceedings of the Eighth International Symposium on Privacy Enhancing
        Technologies (PETS 2008)}, 
  year = {2008}, 
  month = {July}, 
  address = {Leuven, Belgium}, 
  pages = {63--76}, 
  editor = {Nikita Borisov and Ian Goldberg}, 
  publisher = {Springer}, 
  www_section = {Misc}, 
  bookurl = {http://petsymposium.org/2008/}, 
  www_pdf_url = {http://www.cs.washington.edu/homes/yoshi/papers/Tor/PETS2008_37.pdf}, 
  www_tags = {selected}, 
}

@inproceedings{murdoch-pet2008,
  title = {Metrics for Security and Performance in Low-Latency Anonymity Networks}, 
  author = {Steven J. Murdoch and Robert N. M. Watson}, 
  booktitle = {Proceedings of the Eighth International Symposium on Privacy Enhancing
        Technologies (PETS 2008)}, 
  year = {2008}, 
  month = {July}, 
  address = {Leuven, Belgium}, 
  pages = {115--132}, 
  editor = {Nikita Borisov and Ian Goldberg}, 
  publisher = {Springer}, 
  www_section = {traffic}, 
  bookurl = {http://petsymposium.org/2008/}, 
  www_pdf_url = {http://www.cl.cam.ac.uk/~sjm217/papers/pets08metrics.pdf}, 
  www_tags = {selected}, 
}

@Misc{tls-cbc,
  author = 	 {Bodo M\"{o}ller},
  title = 	 {Security of {CBC} Ciphersuites in {SSL}/{TLS}: Problems and Countermeasures},
  month = 	 {May},
  year = 	 {2004},
  note = 	 {\url{http://www.openssl.org/~bodo/tls-cbc.txt}},
}

@Misc{tls-empty-record,
  author = 	 {Ben Laurie},
  title = 	 {On {TLS} Empty Record Insertion},
  month = 	 {December},
  howpublished = {Email to or-dev@freehaven.net, in thread ``Re: Empty {TLS} application records being injected in {Tor} streams''},
  year = 	 {2008},
  note = 	 {\url{http://archives.seul.org/or/dev/Dec-2008/msg00005.html}},
}

@Misc{circuit-window,
  author = 	 {Csaba Kiraly},
  title = 	 {Effect of {Tor} window size on performance},
  month = 	 {February},
  howpublished = {Email to or-dev@freehaven.net},
  year = 	 {2009},
  note = 	 {\url{http://archives.seul.org/or/dev/Feb-2009/msg00000.html}},
}

@mastersthesis{reardon-thesis,
  title = {Improving {Tor} using a {TCP}-over-{DTLS} Tunnel}, 
  author = {Reardon, Joel}, 
  school = {University of Waterloo}, 
  year = {2008}, 
  month = {September}, 
  www_tags = {selected}, 
  www_abstract_url = {http://hdl.handle.net/10012/4011}, 
  www_section = {Anonymous communication}, 
  www_pdf_url = {http://uwspace.uwaterloo.ca/bitstream/10012/4011/1/thesis.pdf},
  note = {\url{http://hdl.handle.net/10012/4011}}
}

@TechReport{DTLS,
  author =       {Rescorla, E. and Modadugu, N.},
  title =        {Datagram Transport Layer Security},
  institution =  {IETF},
  year =         {2006},
  type =         {RFC},
  number =       {4347},
  month =        {April}
}

@TechReport{tor-l3-approach,
  author = 	 {Kiraly, C. and Bianchi G. and Lo Cigno, R.},
  title = 	 {Solving Performance Issues in Anonymization Overlays with a {L}3 approach},
  institution =  {University of Trento},
  year = 	 {2008},
  number = 	 {DISI-08-041},
  month = 	 {September},
  note = 	 {version 1.1, \url{http://disi.unitn.it/locigno/preprints/TR-DISI-08-041.pdf}},
}

@Misc{daytona,
  author = 	 {Prashant Pradhan and Srikanth Kandula and Wen Xu and Anees Shaikh and Erich Nahum},
  title = 	 {Daytona: A User-Level {TCP} Stack},
  year = 	 {2002},
  note = 	 {\url{http://nms.lcs.mit.edu/~kandula/data/daytona.pdf}},
}

@InProceedings{tcptiming,
  author =       {Kohno, Tadayoshi and Broido, Andre and {claffy}, {kc}},
  title =        {Remote Physical Device Fingerprinting},
  booktitle =    {IEEE Symposium on Security and Privacy},
  pages =        {211--225},
  year =         {2005},
  address =      {Oakland, CA, US},
  month =        {May},
  publisher =    {IEEE Computer Society},
}

@inproceedings{HotOrNot,
  title = {Hot or Not: Revealing Hidden Services by their Clock Skew}, 
  author = {Steven J. Murdoch}, 
  booktitle = {CCS '06: Proceedings of the 9th ACM Conference on Computer and Communications Security}, 
  pages = {27--36},
  year = {2006}, 
  month = {October}, 
  address = {Alexandria, VA, US},
  publisher =    {ACM Press},
}

@TechReport{IPsec,
  author =       {Kent, S. and Seo, K.},
  title =        {Security Architecture for the Internet Protocol},
  institution =  {IETF},
  year =         {2005},
  type =         {RFC},
  number =       {4301},
  month =        {December}
}

@inproceedings{wendolsky-pet2007,
  title = {Performance Comparison of low-latency Anonymisation Services from a User Perspective}, 
  author = {Rolf Wendolsky and Dominik Herrmann and Hannes Federrath}, 
  booktitle = {Proceedings of the Seventh Workshop on Privacy Enhancing Technologies (PET 2007)}, 
  year = {2007}, 
  month = {June}, 
  address = {Ottawa, Canada}, 
  editor = {Nikita Borisov and Philippe Golle}, 
  publisher = {Springer}, 
  www_section = {Anonymous communication}, 
  bookurl = {http://petworkshop.org/2007/}, 
  www_pdf_url = {http://petworkshop.org/2007/papers/PET2007_preproc_Performance_comparison.pdf},
}

@Misc{economics-tor,
  author = 	 {Steven J. Murdoch},
  title = 	 {Economics of {Tor} performance},
  howpublished = {Light Blue Touchpaper},
  month = 	 {18 July},
  year = 	 {2007},
  note = 	 {\url{http://www.lightbluetouchpaper.org/2007/07/18/economics-of-tor-performance/}},
}

@inproceedings{hs-attack,
  title = {Locating Hidden Servers},
  author = {Lasse {\O}verlier and Paul Syverson},
  booktitle = {Proceedings of the 2006 IEEE Symposium on Security and Privacy},
  year = {2006},
  month = {May},
  publisher = {IEEE CS},
}

@InProceedings{overlier:pet2007,
  author =       {Lasse {\O}verlier and Paul Syverson},
  title =        {Improving Efficiency and Simplicity of {Tor} Circuit
                  Establishment and Hidden Services},
   booktitle =   {Privacy Enhancing Technologies: 7th International
                  Symposium, {PET} 2007},
   pages =       {134--152},
   year =        {2007},
   editor =      {Nikita Borisov and Philippe Golle},
  publisher =    {Springer-Verlag, LNCS 4776}
}

@inproceedings{kate-pet2007,
  title = {Pairing-Based Onion Routing}, 
  author = {Aniket Kate and Greg Zaverucha and Ian Goldberg}, 
  booktitle = {Proceedings of the Seventh Workshop on Privacy Enhancing Technologies (PET
        2007)}, 
  year = {2007}, 
  month = {June}, 
  address = {Ottawa, Canada}, 
  editor = {Nikita Borisov and Philippe Golle}, 
  publisher = {Springer}, 
  www_section = {Anonymous communication}, 
  bookurl = {http://petworkshop.org/2007/}, 
  www_pdf_url = {http://petworkshop.org/2007/papers/PET2007_preproc_Pairing_based.pdf}, 
  www_remarks = {Describes an circuit-establishment protocol for a Tor-like network. Uses
        Pairing- and Identity-Based crypto for efficiency, at the expense of having all
        private keys generated by a trusted IBE authority.}, 
}
